import 'media_toping_categoria_model.dart';
import 'basico_model.dart';

class TopingCategoria extends Basico {
  String? clave;
  String? nombre;
  String? descripcion;
  int? activo;
  int? orden;
  int? cantidad;
  List<MediaTopingCategoria> mediaTopingCategoria = [];

  TopingCategoria({
    super.id,
    this.clave,
    this.nombre,
    this.descripcion,
    this.activo,
    this.orden,
    this.cantidad,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'clave': clave,
      'nombre': nombre,
      'descripcion': descripcion,
      'activo': activo,
      'orden': orden,
      'cantidad': cantidad,
    }..addAll(super.toJson());
  }

  TopingCategoria.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    clave = Basico.parseString(json['clave']);
    nombre = Basico.parseString(json['nombre']);
    descripcion = Basico.parseString(json['descripcion']);
    activo = Basico.parseInt(json['activo']);
    orden = Basico.parseInt(json['orden']);
    if (json['mediaTopingCategoria'] != null) {
      var mediaTCList = json['mediaTopingCategoria'] as List;
      mediaTopingCategoria = mediaTCList
          .map((i) => MediaTopingCategoria.fromJson(i as Map<String, dynamic>))
          .toList();
    }
    cantidad = Basico.parseInt(json['cantidad']);
  }
}
